include	clib.inc

	public	_ermsg
	extrn	@ermsgt: DIST

_TEXT	SEGMENT

_ermsg	PROC	DIST 	; char *title, char *frm, ...
ifdef LPROG
	popm	CS:CSIP	; return adress
else
	pop	CS:CSIP
endif
	pop	AX	; pop args
	pop	DX
	pop	DX
	pop	BX
	call	@ermsgt
	sub	SP,8	; push args
ifdef LPROG
	pushm	CS:CSIP	; return adress
else
	push	CS:CSIP
endif
	ret		; "C" return
_ermsg	ENDP

CSIP	PF	?

_TEXT	ENDS

	END
